%define real_name CGI-FormMagick

Summary:	CGI-FormMagick module for perl 
Name:		perl-%{real_name}
Version:	0.89
Release:	1mdk
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel, perl-CGI-Persistent, perl-Text-Iconv, perl-Test-Inline
BuildRequires:	perl-Time-modules, perl-Object-Persistence, perl-XML-Parser
BuildRequires:	perl-Text-Template, perl-Class-ParamParser, perl-Mail-RFC822-Address
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
FormMagick is a toolkit for easily building fairly complex form-based
web applications.  It allows the developer to specify the structure of a
multi-page "wizard" style form using XML, then display that form using
only a few lines of Perl.

%prep
%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
# it's not that make test fails some test: it just doesn't work
#make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README doc COPYING INSTALL examples
%{perl_vendorlib}/CGI/FormMagick
%{perl_vendorlib}/CGI/FormMagick.pm
%{_mandir}/*/*


%changelog
* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.89-1mdk
- initial Mandriva package 
